## visad
Class PlotDigits

    java.lang.Object
      visad.PlotDigits

public class PlotDigits
extends Object

PlotDigits calculates an array of points to be plotted to the screen as vector pairs, given a number and a bounding rectangle, for use as a label on a contour R^2.

Field Summary
`float` `Number`
`int` `NumVerts`
`float[]` `Vx`
`float[]` `VxB`
`float[]` `Vy`
`float[]` `VyB`

Constructor Summary
`PlotDigits()`

Method Summary
`void` `plotdigits(float gg, float xk, float yk, float xm, float ym, int max, boolean[] swap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Vx

    public float[] Vx

### Vy

    public float[] Vy

### VxB

    public float[] VxB

### VyB

    public float[] VyB

### NumVerts

    public int NumVerts

### Number

    public float Number

Constructor Detail

### PlotDigits

    public PlotDigits()

Method Detail

### plotdigits

    public void plotdigits(float gg,
                           float xk,
                           float yk,
                           float xm,
                           float ym,
                           int max,
                           boolean[] swap)
                    throws VisADException

  Throws:
    `VisADException`